//----- STD include -----
#include <iostream>
#include <string>
#include <time.h>
#include <tuple>
//----------------------

//----- Personnal include -----
#include "./Controllers/SFMLController/SFMLController.hpp"
#include "./Controllers/ConsoleController/ConsoleController.hpp"
//-----------------------------




//----- Start -----
int main()
{
    	//Init random
	srand(time(NULL));

	//Init controller
#if defined(CONSOLECONTROLLER)
	ConsoleController controller;
#elif defined(SFMLCONTROLLER)
	SFMLController controller;
#else
#error Please defined which controller to use in CMakeList.txt
#endif
	//Run the game
	controller.run();

	//End the application
	return 0;
}
